Subject: RE: LSR and EXP<->PSC maps

From: "Abdul Malick" <[email-masked]>
Date: Fri, 16 Nov 2001 11:35:32 +0530

Hi Vishal,

I assume we are talking about E-LSP.

If you look at the EXP,  it has only 3 bits and hence an E-LSP can carry
only upto 8 PHBs. But we already have 14 PHBs that are commonly used (1 EF,
12 AFs, 1 BE) and theoratically speaking we can have more. Hence by limiting
the scope of the EXP-> PHB to only an E-LSP under consideration, we can
support more PHBs using more than one E-LSP. Since the mapping of EXP to PHB
is local and sigificant only to one E-LSP, the mapping  has to be signalled
along with the E-LSP. In the core LSRs this mapping (maintained per E-LSP
label conext) is used to map the EXP bits to a particular PHB. This mapping
could therefore be different for different E-LSPs.

Please correct me if i am wrong.
Hope this helps.

Regards,
Malick

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Vishal M
Sent: Friday, 16 November 2001 9:46 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: LSR and EXP<->PSC maps

Perhaps I should re-phrase my question:

The packet is classified by the ingress LER and EXP
bits are marked. IP packet is prefixed with MPLS shim
header and forwarded in the MPLS cloud.

Questions:
==========
Why do we need to propagate (or signal) EXP<=>PHB
mapping to the core-LSRs ?

Why can't the core LSRs do the scheduling just based
on the EXP bits ? What additional functionality does
the PHBID serve at the core-LSRs?

Could someone pls help...

Thanks,
Vishal.

--- Vishal M <[email-masked]> wrote:
>
> Hi,
>
> This is quite a basic question on on MPLS Support of
> Diff Serv (draft-ietf-mpls-diff-ext-09.txt).
>
> The draft talks about having EXP<=>PHB mappings on
> all
> the LSRs a LSP passes through.
>
> I understand the need for having PSC mapping to EXP
> on
> the ingress LER. i.e. an ingress LER that converts
> IP
> to MPLS would have to use the IP DSCP bits to
> generate
> MPLS EXP bits.
>
> Consider a core LSR (acting as transit for LSP), why
> does it need to know about the PSCs (i.e. mapping
> EXP<=>PSC) ?
>
> It could possibly make all the decisions about
> internal scheduling etc based on EXP bits on the
> incoming MPLS packets.
>
> Could someone please clarify this.
>
> Thanks a lot for your time,
>
> Regards,
> Vishal.
>
>
> __________________________________________________
> Do You Yahoo!?
> Find the one for you at Yahoo! Personals
> http://personals.yahoo.com

__________________________________________________
Do You Yahoo!?
Find the one for you at Yahoo! Personals
http://personals.yahoo.com